reSIDfp::Voice Class Reference

`#include <Voice.h>`

## Public Member Functions

RESID_INLINE float | output (const WaveformGenerator *ringModulator)
void | setWavDAC (float *dac)
void | setEnvDAC (float *dac)
WaveformGenerator * | wave ()
EnvelopeGenerator * | envelope ()
void | writeCONTROL_REG (unsigned char control)
void | reset ()

## Detailed Description

Representation of SID voice block.

## Member Function Documentation

## output()

RESID_INLINE float reSIDfp::Voice::output | ( | const WaveformGenerator * | ringModulator | ) |

inline

Amplitude modulated waveform output.

The waveform DAC generates a voltage between virtual ground and Vdd (5-12 V for the 6581 and 4.75-9 V for the 8580) corresponding to oscillator state 0 .. 4095.

The envelope DAC generates a voltage between waveform gen output and the virtual ground level, corresponding to envelope state 0 .. 255.

Ideal range [-2048*255, 2047*255].

Parameters

  ringModulator | Ring-modulator for waveform

Returns
  the voice analog output

## reset()

void reSIDfp::Voice::reset | ( |  | ) |

inline

SID reset.

## setEnvDAC()

void reSIDfp::Voice::setEnvDAC | ( | float * | dac | ) |

inline

Set the analog DAC emulation for envelope. Must be called before any operation.

Parameters

  dac |

## setWavDAC()

void reSIDfp::Voice::setWavDAC | ( | float * | dac | ) |

inline

Set the analog DAC emulation for waveform generator. Must be called before any operation.

Parameters

  dac |

## writeCONTROL_REG()

void reSIDfp::Voice::writeCONTROL_REG | ( | unsigned char | control | ) |

inline

Write control register.

Parameters

  control | Control register value.

The documentation for this class was generated from the following file:

- Voice.h